Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.restrictions.alm
Class GroupRestriction

    java.lang.Object
      org.jasig.portal.layout.restrictions.UserLayoutRestriction
          org.jasig.portal.layout.restrictions.alm.ALRestriction
              org.jasig.portal.layout.restrictions.alm.GroupRestriction

All Implemented Interfaces:
  IUserLayoutRestriction

    public class GroupRestriction

extends ALRestriction

GroupRestriction checks the group restriction for a given ALNode object. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout.restrictions. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Field Summary
`private IEntityGroup[]` | `groups`
`private static IGroupService` | `groupService`
`private static IGroupServiceFactory` | `groupServiceFactory`

Fields inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`nodePath`

Fields inherited from interface org.jasig.portal.layout.restrictions.IUserLayoutRestriction
`CHILDREN_RESTRICTION_PATH, LOCAL_RESTRICTION_PATH, PARENT_RESTRICTION_PATH`

Constructor Summary
`GroupRestriction()`
`GroupRestriction(java.lang.String name)`
`GroupRestriction(java.lang.String name, java.lang.String nodePath)`

Method Summary
`boolean` | `checkRestriction(ILayoutNode node)` Checks the restriction for the current node
`boolean` | `checkRestriction(java.lang.String propertyValue)` Checks the restriction for the specified property value
`protected void` | `parseRestrictionExpression()` Parses the restriction expression of the current node

Methods inherited from class org.jasig.portal.layout.restrictions.alm.ALRestriction
`checkRestriction`

Methods inherited from class org.jasig.portal.layout.restrictions.UserLayoutRestriction
`getName, getRestrictionExpression, getRestrictionPath, getUniqueKey, getUniqueKey, getUniqueKey, setName, setRestrictionExpression, setRestrictionPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groups

    private IEntityGroup[] groups

### groupService

    private static IGroupService groupService

### groupServiceFactory

    private static IGroupServiceFactory groupServiceFactory

Constructor Detail

### GroupRestriction

    public GroupRestriction(java.lang.String name,
                            java.lang.String nodePath)
                     throws PortalException

Throws:
  `PortalException`

### GroupRestriction

    public GroupRestriction(java.lang.String name)
                     throws PortalException

Throws:
  `PortalException`

### GroupRestriction

    public GroupRestriction()
                     throws PortalException

Throws:
  `PortalException`

Method Detail

### parseRestrictionExpression

    protected void parseRestrictionExpression()
                                       throws PortalException

  Parses the restriction expression of the current node

  Specified by:
    `parseRestrictionExpression` in class `UserLayoutRestriction`
  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(java.lang.String propertyValue)
                             throws PortalException

  Checks the restriction for the specified property value

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Specified by:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `propertyValue` - a `String` property value to be checked
  Returns:
    a boolean value
  Throws:
    `PortalException`

### checkRestriction

    public boolean checkRestriction(ILayoutNode node)
                             throws PortalException

  Checks the restriction for the current node

  Specified by:
    `checkRestriction` in interface `IUserLayoutRestriction`
  Overrides:
    `checkRestriction` in class `UserLayoutRestriction`
  Parameters:
    `node` - a `ILayoutNode` node
  Returns:
    a boolean value
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD